Package twisted :: Package internet :: Module interfaces :: Class IReactorSSL |
[frames | no frames]

## Class IReactorSSL

    Interface --+
                |
               IReactorSSL

Method Summary
| ``connectSSL`(self, host, port, factory, contextFactory, timeout, bindAddress)` Connect a client Protocol to a remote SSL socket.
| ``listenSSL`(self, port, factory, contextFactory, backlog, interface)` Connects a given protocol factory to the given numeric TCP/IP port.

Method Details

### connectSSL(self, host, port, factory, contextFactory, timeout=30, bindAddress=None) Connect a client Protocol to a remote SSL socket. Parameters: `host` - a host name `port` - a port number `factory` - a `twisted.internet.protocol.ClientFactory` instance `contextFactory` - a `twisted.internet.ssl.ClientContextFactory` object. `timeout` - number of seconds to wait before assuming the connection has failed. `bindAddress` - a (host, port) tuple of local address to bind to, or `None`. Returns: an `IConnector`.

### listenSSL(self, port, factory, contextFactory, backlog=5, interface='') Connects a given protocol factory to the given numeric TCP/IP port. The connection is a SSL one, using contexts created by the context factory. Parameters: `port` - a port number on which to listen `factory` - a `twisted.internet.protocol.ServerFactory` instance `contextFactory` - a `twisted.internet.ssl.ContextFactory` instance `backlog` - size of the listen queue `interface` - the hostname to bind to, defaults to '' (all)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net